
From: Bob Picco <bob.picco@hp.com>

Section numbers under sparsemem are unsigned longs, update the
NR_MEM_SECTIONS to reflect this.

Signed-off-by: Bob Picco <bob.picco@hp.com>
Signed-off-by: Andy Whitcroft <apw@shadowen.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/mmzone.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/mmzone.h~sparsemem-memory-model-section-numbers-unsigned-long include/linux/mmzone.h
--- 25/include/linux/mmzone.h~sparsemem-memory-model-section-numbers-unsigned-long	2005-06-15 17:47:00.000000000 -0700
+++ 25-akpm/include/linux/mmzone.h	2005-06-15 17:47:00.000000000 -0700
@@ -448,7 +448,7 @@ extern struct pglist_data contig_page_da
 #define PA_SECTION_SHIFT	(SECTION_SIZE_BITS)
 #define PFN_SECTION_SHIFT	(SECTION_SIZE_BITS - PAGE_SHIFT)
 
-#define NR_MEM_SECTIONS	(1 << SECTIONS_SHIFT)
+#define NR_MEM_SECTIONS		(1UL << SECTIONS_SHIFT)
 
 #define PAGES_PER_SECTION       (1UL << PFN_SECTION_SHIFT)
 #define PAGE_SECTION_MASK	(~(PAGES_PER_SECTION-1))
_
